Monkey patch postgres adapter for postgres 9 support
[rails.git] / config / initializers / sql_session_store.rb
index 986037afe3d107d047be03a5c192c57e24b345d0..d2fc9801af75e4ab976f7d99b5a38085a275e32d 100644 (file)
@@ -4,4 +4,6 @@ adapter = Rails.configuration.database_configuration[environment]["adapter"]
 session_class = adapter + "_session"
 
 # Configure SqlSessionStore
-SqlSessionStore.session_class = session_class.camelize.constantize
+unless  STATUS == :database_offline
+  SqlSessionStore.session_class = session_class.camelize.constantize
+end